summaryrefslogtreecommitdiffstats
path: root/diagrams/build.sh
diff options
context:
space:
mode:
authorLennart Weller <lhw@ring0.de>2017-01-24 15:21:09 +0000
committerLennart Weller <lhw@ring0.de>2017-01-24 15:21:09 +0000
commit3ed3b02ed96ddab1c084811f3579b3a2aec83e04 (patch)
tree7a61ab288ae47800c4f11be5677d6ad8288dcd98 /diagrams/build.sh
parentNew upstream version 1.4.0+dfsg (diff)
downloadnetdata-3ed3b02ed96ddab1c084811f3579b3a2aec83e04.tar.xz
netdata-3ed3b02ed96ddab1c084811f3579b3a2aec83e04.zip
New upstream version 1.5.0+dfsgupstream/1.5.0+dfsg
Diffstat (limited to 'diagrams/build.sh')
-rwxr-xr-xdiagrams/build.sh20
1 files changed, 20 insertions, 0 deletions
diff --git a/diagrams/build.sh b/diagrams/build.sh
new file mode 100755
index 000000000..53f0ea7ab
--- /dev/null
+++ b/diagrams/build.sh
@@ -0,0 +1,20 @@
+#!/usr/bin/env bash
+
+path=$(dirname "$0")
+cd "${path}" || exit 1
+
+if [ ! -f "plantuml.jar" ]
+then
+ echo >&2 "Please download 'plantuml.jar' from http://plantuml.com/ and put it the same folder with me."
+ exit 1
+fi
+
+for x in *.puml
+do
+ [ "${x}" = "config.puml" ] && continue
+
+ echo >&2 "Working on ${x}..."
+ java -jar plantuml.jar -tpng "${x}"
+ java -jar plantuml.jar -tsvg "${x}"
+ # java -jar plantuml.jar -ttxt "${x}"
+done